Kerbal Space Program - Bug #25079

Can't pass the Security check
03/25/2020 01:38 AM - KerbalabreK

Status: Resolved Start date: 03/25/2020

Severity: Low % Done: 100%

Assignee: ManeT]

Category: ul

Target version: Not Applicable

Version: Not Applicable Language: English (US), 0000 (Chinese Simplified)
Platform: Windows Mod Related: No

Expansion: Core Game

Description

| can't pass the security check because it isn't there! So | can't create an account on the forum. Living in China now.

| can't even report the problem on the forum because it needs security check. I'm not asking for help here and I'm pretty sure it's a
bug from the forum or the security check service provider.

I'm sorry that it may not be a proper place to report this but it's my only way to report this issue.

History

#1 - 03/25/2020 08:07 AM - MisterDoctor

I've heard that reCaptcha often doesn't work in China because it's run by Google which is often blocked.
Some info about it here:

https://stackoverflow.com/questions/57827914/google-recaptcha-in-china
https://www.quora.com/Since-Google-reCAPTCHA-does-not-work-in-China-how-do-Chinese-websites-prevent-bots-and-denial-of-service-attacks

Google's suggestion is to use www.recaptcha.net instead of www.google.com but it apparently doesn't work anymore. It would be up to the KSP Devs
to use a different Captcha or else you could maybe use a VPN or proxy.

#2 - 03/25/2020 12:07 PM - Technicalfool
- Status changed from New to Investigating
- Assignee set to Technicalfool

- % Done changed from 0 to 20

Passing this to tech support.

#4 - 03/25/2020 03:05 PM - ManeTI

- Assignee changed from Technicalfool to ManeTI

#5 - 03/27/2020 06:04 AM - KerbalabreK

If the bug fixing needs any help, please contact me.

#6 - 04/01/2020 06:57 PM - ManeTI
- Status changed from Investigating to Ready to Test
- Target version set to Not Applicable

- % Done changed from 20 to 80

Hello, indeed looks like a problem with google in China, we have set up a new Captcha from a different provider (KeyCaptcha).

#7 - 04/03/2020 03:15 AM - KerbalabreK
- File0 0 2020-04-03 110556.png added
https://stackoverflow.com/questions/57827914/google-recaptcha-in-china
https://www.quora.com/Since-Google-reCAPTCHA-does-not-work-in-China-how-do-Chinese-websites-prevent-bots-and-denial-of-service-attacks
http://www.recaptcha.net
http://www.google.com

#8 - 04/13/2020 08:00 PM - ManeTI
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
